Bug 519118 - Review Request: nforenum - A format correcter and linter for the NFO language
Summary: Review Request: nforenum - A format correcter and linter for the NFO language
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 08:59 UTC by Felix Kaechele
Modified: 2009-09-24 05:11 UTC (History)
3 users (show)

Fixed In Version: 3.4.7-0.2.r2184.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-24 05:11:38 UTC
iarnell: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Felix Kaechele 2009-08-25 08:59:02 UTC
Spec URL: http://heffer.fedorapeople.org/review/nforenum.spec
SRPM URL: http://heffer.fedorapeople.org/review/nforenum-3.4.7-0.1.r2184.fc12.src.rpm
Description:
It takes as input any number of files that contain something that vaguely
resembles valid NFO, and produces, to the best of its ability, encodable NFO
files, one for each input file.
It also detects and warns about some common mistakes made in NFO coding. All
errors that will cause TTDPatch to reject the GRF during the initialization or
activation phases should be detected; if any are not, it is a bug and should be
reported as such.
Sprites that are too short, not of the correct type (real/pseudo/&c.), too
long, or otherwise not in agreement with their data or the preceeding sprites
are all detected. 


I submitted this to improve the building of the OpenGFX package for OpenTTD. Also see https://admin.fedoraproject.org/updates/openttd-opengfx-0.1.0-0.1.alpha6.fc10

Comment 1 Iain Arnell 2009-08-30 07:37:01 UTC
Two minor niggles:

It doesn't look like "upx" is actually necessary for the build (only for "make release") - please remove the BuildRequires.

The name of the installed binary is too generic - please rename it to "nforenum".

And a very minor grammatical issue - I would also consider changing the first word of the description to "nforenum".

With those tiny changes, APPROVED.



+ source files match upstream.  
    diff -qr reveals no differences (svn export, checksum not suitable)

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPLv2+

+ license is open source-compatible.
+ license text is included.
+ latest version is being packaged.
- BuildRequires not proper.
    doesn't look like upx is actually necessary

+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    https://koji.fedoraproject.org/koji/taskinfo?taskID=1643847

+ package installs properly.
+ rpmlint has no complaints:
    nforenum.src: I: checking
    nforenum.x86_64: I: checking
    nforenum-debuginfo.x86_64: I: checking
    3 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
    nforenum = 3.4.7-0.1.r2184.fc12
    nforenum(x86-64) = 3.4.7-0.1.r2184.fc12
=
    libc.so.6()(64bit)  
    libc.so.6(GLIBC_2.2.5)(64bit)  
    libc.so.6(GLIBC_2.3.4)(64bit)  
    libc.so.6(GLIBC_2.4)(64bit)  
    libgcc_s.so.1()(64bit)  
    libgcc_s.so.1(GCC_3.0)(64bit)  
    libm.so.6()(64bit)  
    libstdc++.so.6()(64bit)  
    libstdc++.so.6(CXXABI_1.3)(64bit)  
    libstdc++.so.6(CXXABI_1.3.1)(64bit)  
    libstdc++.so.6(GLIBCXX_3.4)(64bit)  
    libstdc++.so.6(GLIBCXX_3.4.11)(64bit)  
    libstdc++.so.6(GLIBCXX_3.4.5)(64bit)  
    libstdc++.so.6(GLIBCXX_3.4.9)(64bit)  

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
- generically named files
    "renum" is too generic - please rename it to "nforenum"

+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.

Comment 2 Felix Kaechele 2009-09-01 06:01:35 UTC
Thank you very much for the review!

New Package CVS Request
=======================
Package Name: nforenum
Short Description: A format correcter and linter for the NFO language
Owners: heffer
Branches: F-10 F-11
InitialCC:

Comment 3 Kevin Fenzi 2009-09-04 02:13:17 UTC
cvs done.

Comment 4 Fedora Update System 2009-09-06 13:52:05 UTC
nforenum-3.4.7-0.2.r2184.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nforenum-3.4.7-0.2.r2184.fc11

Comment 5 Fedora Update System 2009-09-06 20:41:58 UTC
nforenum-3.4.7-0.2.r2184.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nforenum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9354

Comment 6 Fedora Update System 2009-09-24 05:11:32 UTC
nforenum-3.4.7-0.2.r2184.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.